Skip to main content
GET
/
blocklist
/
contacts
List blocked contacts
curl --request GET \
  --url https://api.open.cx/blocklist/contacts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.open.cx/blocklist/contacts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.open.cx/blocklist/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "contact_id": "<string>",
      "email": "<string>",
      "name": "<string>",
      "phone_number": "<string>",
      "reason": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "total_pages": 123
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number
default:1

Page number (default: 1)

limit
number
default:20

Results per page (default: 20)

Response

Default Response

data
object[]
required
total
number
required
page
number
required
total_pages
number
required